package com.friday.custody.service.trustService.guojindaofu.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.friday.custody.dto.TenantEscrowAuthorizationInfoDto;
import com.friday.custody.service.trustService.OutsourceService;


public interface GuoJinDaoFuService extends OutsourceService {

    //每日 点更新
    void updatesEveryDay(TenantEscrowAuthorizationInfoDto dto, Integer dayCount);

    void saveInvestorInfo(String admin) throws JsonProcessingException;

    void saveCustShareInfo( String admin) throws JsonProcessingException;

    void saveCustShareDetailInfo(String admin) throws JsonProcessingException;

    void saveFundTradeInfo(String admin, Integer dayCount);

    void saveFundOpenInfo(String admin) throws JsonProcessingException;

    void saveFundProfitInfo(String admin, Integer dayCount);

    void saveCustShareSeqInfo(String admin) throws JsonProcessingException;

    void saveFundNetValueInfo(String admin, String fundCode, Integer dayCount);

    void saveFundInfo(String admin) throws JsonProcessingException;

    Boolean doesTheTokenExpire(String token, String admin, String userCode, String password);

    void getToken(String admin, String userCode, String password);
}